diff --git a/Simulation/ISF/ISF_Validation/test/test_Sim_ATLFASTIIF_minbias.sh b/Simulation/ISF/ISF_Validation/test/test_Sim_ATLFASTIIF_minbias.sh
index 12cd016c597d68042cb2d44a679f734ed8340a0d..038af19b7e9367ae3ce16a35bb4d8c921d21fc51 100755
--- a/Simulation/ISF/ISF_Validation/test/test_Sim_ATLFASTIIF_minbias.sh
+++ b/Simulation/ISF/ISF_Validation/test/test_Sim_ATLFASTIIF_minbias.sh
@@ -11,9 +11,13 @@
 
 Sim_tf.py --conditionsTag 'default:OFLCOND-RUN12-SDR-19' --physicsList 'FTFP_BERT' --truthStrategy 'MC15aPlus' --simulator 'ATLFASTIIF' --postInclude 'default:PyJobTransforms/UseFrontier.py' 'G4AtlasTests/postInclude.DCubeTest.py' --DataRunNumber '222525' --geometryVersion 'default:ATLAS-R2-2015-03-01-00' --inputEVNTFile "/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/ISF_Validation/mc12_valid.119994.Pythia8_A2MSTW2008LO_minbias_inelastic.evgen.EVNT.e3099.01517253._000001.pool.root.1" --outputHITSFile "test.HITS.pool.root" --maxEvents 2000
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
 
+echo  "art-result: $? regression"
+
 #TODO Add Digi and Reco steps
diff --git a/Simulation/ISF/ISF_Validation/test/test_Sim_ATLFASTIIF_ttbar.sh b/Simulation/ISF/ISF_Validation/test/test_Sim_ATLFASTIIF_ttbar.sh
index 65da9304f67b7c13a2822ea9d9113bf79f6860ee..df54cc52bce8e8806353b0190d13d1f765ab154c 100755
--- a/Simulation/ISF/ISF_Validation/test/test_Sim_ATLFASTIIF_ttbar.sh
+++ b/Simulation/ISF/ISF_Validation/test/test_Sim_ATLFASTIIF_ttbar.sh
@@ -11,9 +11,13 @@
 
 Sim_tf.py --conditionsTag 'default:OFLCOND-RUN12-SDR-19' --physicsList 'FTFP_BERT' --truthStrategy 'MC15aPlus' --simulator 'ATLFASTIIF' --postInclude 'default:PyJobTransforms/UseFrontier.py' 'G4AtlasTests/postInclude.DCubeTest.py' --DataRunNumber '222525' --geometryVersion 'default:ATLAS-R2-2015-03-01-00' --inputEVNTFile "/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/ISF_Validation/mc12_valid.110401.PowhegPythia_P2012_ttbar_nonallhad.evgen.EVNT.e3099.01517252._000001.pool.root.1" --outputHITSFile "test.HITS.pool.root" --maxEvents 2000
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
 
+echo  "art-result: $? regression"
+
 #TODO Add Digi and Reco steps
diff --git a/Simulation/ISF/ISF_Validation/test/test_Sim_ATLFASTII_ttbar.sh b/Simulation/ISF/ISF_Validation/test/test_Sim_ATLFASTII_ttbar.sh
index 778ce52cd113fe10b775a6f5482729b4612d3b2b..f12c857a9d1accd30f04c1f2b285a80b4b23cecb 100755
--- a/Simulation/ISF/ISF_Validation/test/test_Sim_ATLFASTII_ttbar.sh
+++ b/Simulation/ISF/ISF_Validation/test/test_Sim_ATLFASTII_ttbar.sh
@@ -11,7 +11,11 @@
 
 Sim_tf.py --conditionsTag 'default:OFLCOND-RUN12-SDR-19' --physicsList 'FTFP_BERT' --truthStrategy 'MC15aPlus' --simulator 'ATLFASTII' --postInclude 'default:PyJobTransforms/UseFrontier.py' 'G4AtlasTests/postInclude.DCubeTest.py' --preInclude 'EVNTtoHITS:SimulationJobOptions/preInclude.BeamPipeKill.py' --DataRunNumber '222525' --geometryVersion 'default:ATLAS-R2-2015-03-01-00' --inputEVNTFile "/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/ISF_Validation/mc12_valid.110401.PowhegPythia_P2012_ttbar_nonallhad.evgen.EVNT.e3099.01517252._000001.pool.root.1" --outputHITSFile "test.HITS.pool.root" --maxEvents 250
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_CosmicSim.sh b/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_CosmicSim.sh
index 9613544affb71c70093507c69ea02b930432612a..ffbfbf1d9aea6685bd2a0ea7506850e19adb25d3 100755
--- a/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_CosmicSim.sh
+++ b/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_CosmicSim.sh
@@ -11,7 +11,11 @@
 
 Sim_tf.py --conditionsTag 'OFLCOND-RUN12-SDR-19' --physicsList 'QGSP_BERT' --truthStrategy 'MC15aPlus' --simulator 'FullG4' --outputEVNT_TRFile 'test.TR.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '1500' --randomSeed '1234' --DataRunNumber '10' --CosmicFilterVolume 'Calo' --CosmicFilterVolume2 'NONE' --preInclude 'SimulationJobOptions/preInclude.Cosmics.py' --geometryVersion 'ATLAS-R2-2015-03-01-00' --CosmicPtSlice 'NONE' --beamType 'cosmics'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_CosmicSimTR.sh b/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_CosmicSimTR.sh
index 9b5bdf379b2b116da4ca035f5c7ddaf7ce35e8c1..5bf4f23a4fe51bd4882c8210f76a5759e3a0aaa3 100755
--- a/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_CosmicSimTR.sh
+++ b/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_CosmicSimTR.sh
@@ -10,7 +10,11 @@
 
 Sim_tf.py --conditionsTag 'OFLCOND-RUN12-SDR-19'  --physicsList 'QGSP_BERT' --truthStrategy 'MC15aPlus' --simulator 'FullG4' --inputEVNT_TRFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/ISF_Validation/Cosmics.TR.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents -1 --randomSeed 1234 --DataRunNumber '10' --geometryVersion 'ATLAS-R2-2015-03-01-00' --firstEvent 0 --preInclude 'SimulationJobOptions/preInclude.Cosmics.py' --beamType 'cosmics'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_ZPrime_QuasiStable.sh b/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_ZPrime_QuasiStable.sh
index 3ac7ae1486a4a6d24b315d9d25b1e8963c5e6e87..aacecffd5cd4c7ddfdece6f7c99e998282a50358 100755
--- a/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_ZPrime_QuasiStable.sh
+++ b/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_ZPrime_QuasiStable.sh
@@ -11,7 +11,11 @@
 
 Sim_tf.py --conditionsTag 'default:OFLCOND-RUN12-SDR-19' --physicsList 'FTFP_BERT' --truthStrategy 'MC15aPlus' --simulator 'FullG4_LongLived' --postInclude 'default:PyJobTransforms/UseFrontier.py,G4AtlasTests/postInclude.DCubeTest.py' --preInclude 'EVNTtoHITS:SimulationJobOptions/preInclude.BeamPipeKill.py,SimulationJobOptions/preInclude.FrozenShowersFCalOnly.py' --DataRunNumber '222525' --geometryVersion 'default:ATLAS-R2-2015-03-01-00' --inputEVNTFile "/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/ISF_Validation/EVNT.04607198._000001.pool.root.1" --outputHITSFile "test.HITS.pool.root" --maxEvents 10
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 # TODO This is a regression test I think. We would also need to compare these files to fixed references and add DCube tests
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_minbias.sh b/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_minbias.sh
index f278ce4aee66bbb50f8be61535aab060d316d48c..c1f92762cf989d2ae4e28dc8a2683be252b83d39 100755
--- a/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_minbias.sh
+++ b/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_minbias.sh
@@ -11,7 +11,11 @@
 
 Sim_tf.py --conditionsTag 'default:OFLCOND-RUN12-SDR-19' --physicsList 'FTFP_BERT' --truthStrategy 'MC15aPlus' --simulator 'FullG4' --postInclude 'default:PyJobTransforms/UseFrontier.py,G4AtlasTests/postInclude.DCubeTest.py' --preInclude 'EVNTtoHITS:SimulationJobOptions/preInclude.BeamPipeKill.py,SimulationJobOptions/preInclude.FrozenShowersFCalOnly.py' --DataRunNumber '222525' --geometryVersion 'default:ATLAS-R2-2015-03-01-00' --inputEVNTFile "/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/ISF_Validation/mc12_valid.119994.Pythia8_A2MSTW2008LO_minbias_inelastic.evgen.EVNT.e3099.01517253._000001.pool.root.1" --outputHITSFile "test.HITS.pool.root" --maxEvents 50
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 # TODO This is a regression test I think. We would also need to compare these files to fixed references and add DCube tests
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_ttbar.sh b/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_ttbar.sh
index ebffee072bb1dc9594690cac3931af56d10861eb..f489b2fd9b02a6eec27352a571a4fb507b5d39b9 100755
--- a/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_ttbar.sh
+++ b/Simulation/ISF/ISF_Validation/test/test_Sim_FullG4_ttbar.sh
@@ -11,7 +11,11 @@
 
 Sim_tf.py --conditionsTag 'default:OFLCOND-RUN12-SDR-19' --physicsList 'FTFP_BERT' --truthStrategy 'MC15aPlus' --simulator 'FullG4' --postInclude 'default:PyJobTransforms/UseFrontier.py,G4AtlasTests/postInclude.DCubeTest.py' --preInclude 'EVNTtoHITS:SimulationJobOptions/preInclude.BeamPipeKill.py' --DataRunNumber '222525' --geometryVersion 'default:ATLAS-R2-2015-03-01-00' --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/ISF_Validation/mc12_valid.110401.PowhegPythia_P2012_ttbar_nonallhad.evgen.EVNT.e3099.01517252._000001.pool.root.1' --outputHITSFile 'test.HITS.pool.root' --maxEvents '4'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/ISF/ISF_Validation/test/test_Sim_G4FastCalo_ttbar.sh b/Simulation/ISF/ISF_Validation/test/test_Sim_G4FastCalo_ttbar.sh
index 6a721eab97c1e38a9a50f0f1afb1bb59236848c0..aaa8de6f9b68ed16be377ad7a184fccf87f7d9f0 100755
--- a/Simulation/ISF/ISF_Validation/test/test_Sim_G4FastCalo_ttbar.sh
+++ b/Simulation/ISF/ISF_Validation/test/test_Sim_G4FastCalo_ttbar.sh
@@ -11,7 +11,11 @@
 
 Sim_tf.py --conditionsTag 'default:OFLCOND-RUN12-SDR-19' --physicsList 'FTFP_BERT' --truthStrategy 'MC15aPlus' --simulator 'G4FastCalo' --postInclude 'default:PyJobTransforms/UseFrontier.py' 'G4AtlasTests/postInclude.DCubeTest.py' --preInclude 'EVNTtoHITS:SimulationJobOptions/preInclude.BeamPipeKill.py' --DataRunNumber '222525' --geometryVersion 'default:ATLAS-R2-2015-03-01-00' --inputEVNTFile "/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/ISF_Validation/mc12_valid.110401.PowhegPythia_P2012_ttbar_nonallhad.evgen.EVNT.e3099.01517252._000001.pool.root.1" --outputHITSFile "test.HITS.pool.root" --maxEvents 250
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_2010GeomSim.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_2010GeomSim.sh
index 51fb9318a5eadc2c6d963a61d16980fe6d13272e..fdf810a741609c239e886085c0b95f334e8d7128 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_2010GeomSim.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_2010GeomSim.sh
@@ -12,8 +12,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/mu_E200_eta0-25.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '10' --skipEvents '0' --randomSeed '10' --geometryVersion 'ATLAS-R1-2010-02-00-00' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '155697' --physicsList 'FTFP_BERT' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_2011GeomSim.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_2011GeomSim.sh
index 9bdde9facccbb2bd4eb581a7e8db887fbc9bf4e4..43811b8425e918fcddb787ab374f6d0e3613fd22 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_2011GeomSim.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_2011GeomSim.sh
@@ -12,8 +12,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/mu_E200_eta0-25.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '10' --skipEvents '0' --randomSeed '10' --geometryVersion 'ATLAS-R1-2011-02-00-00' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '180164' --physicsList 'FTFP_BERT' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_2012GeomSim.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_2012GeomSim.sh
index ba5dee78f0f5357b1a2a989320bd00a839b0c5a8..95c32cff99247915474118db1d490ca95da49325 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_2012GeomSim.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_2012GeomSim.sh
@@ -12,8 +12,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/mu_E200_eta0-25.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '10' --skipEvents '0' --randomSeed '10' --geometryVersion 'ATLAS-R1-2012-03-00-00' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '212272' --physicsList 'FTFP_BERT' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_AFPSimTest.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_AFPSimTest.sh
index 77304e01b1154cfbe77dcdf50e3e5955c48c84ce..0684e2d63173530fd280ba8a0aaca9684a0fea5c 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_AFPSimTest.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_AFPSimTest.sh
@@ -11,8 +11,12 @@
 # FIXME need an AFP-specific single particle generator configuration
 AtlasG4_tf.py --preInclude 'G4AtlasTests/preInclude.ALFA_SingleParticle.py' --outputHITSFile 'test.HITS.pool.root' --maxEvents '3' --randomSeed '10' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --AFPOn 'True' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references and run DCube
 art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_ALFASimTest.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_ALFASimTest.sh
index 7db4606cd1be30e2ce0d0503ef21cbd44d5d18e5..ac144b4631f013d5ae5db2471f21fb51a7e3e9c2 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_ALFASimTest.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_ALFASimTest.sh
@@ -11,8 +11,11 @@
 
 AtlasG4_tf.py --preInclude 'G4AtlasTests/preInclude.ALFA_SingleParticle.py' --outputHITSFile 'test.HITS.pool.root' --maxEvents '3' --randomSeed '10' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --ALFAOn 'True' --postInclude 'PyJobTransforms/UseFrontier.py' 'AtlasG4Tf:G4AtlasTests/postInclude.ALFA_dcube.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
-
 # TODO This is a regression test I think. We would also need to compare these files to fixed references and run DCube
 art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CavernBg_EVNT2TR.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CavernBg_EVNT2TR.sh
index 72225e350d89e3edc4249ef447a1fd2a2557eb4b..1c04be08c70614c21148ff558df385cf128b7d56 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CavernBg_EVNT2TR.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CavernBg_EVNT2TR.sh
@@ -12,8 +12,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/minbias_Inelastic_low-pythia8-7000.evgen.pool.root' --outputHITSFile 'discard.HITS.pool.root' --outputEVNT_TRFile 'test.EVNT.pool.root' --maxEvents '2' --skipEvents '0' --randomSeed '5678' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'QGSP_BERT_HP' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CavernBg_TR2HITS.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CavernBg_TR2HITS.sh
index 0f55fb72417ad15370953ac64404614ffe12b4d1..4d9fbe1d5d46c2c15985514a110a8ac0f28971de 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CavernBg_TR2HITS.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CavernBg_TR2HITS.sh
@@ -12,8 +12,12 @@
 
 AtlasG4_tf.py --inputEVNT_TRFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/cavernbg-pythia8-7000.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '5' --skipEvents '0' --randomSeed '8765' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'QGSP_BERT_HP' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CosmicSim.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CosmicSim.sh
index 5d1bae38ea889105bcb060eac32c9738f0c832d8..3c79529a2e53cd1fa052c666df43b3ae94e0b4a9 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CosmicSim.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CosmicSim.sh
@@ -11,8 +11,12 @@
 
 AtlasG4_tf.py --outputHITSFile 'test.HITS.pool.root' --maxEvents '1500' --randomSeed '1234' --DataRunNumber '222525' --CosmicFilterVolume 'Calo' --CosmicFilterVolume2 'NONE' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --physicsList 'FTFP_BERT' --CosmicPtSlice 'NONE' --outputEVNT_TRFile 'test.TR.pool.root' --beamType 'cosmics' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
-art.py compare grid ${ArtPackage} ${ArtJobName} test.TR.pool.root
+art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CosmicSimTR.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CosmicSimTR.sh
index 1dded2a1e1c05b14168f36a8f749e6cd169e574f..ee63747cddec341451f848db566e20716f09aff9 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CosmicSimTR.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_CosmicSimTR.sh
@@ -10,8 +10,12 @@
 
 AtlasG4_tf.py --inputEVNT_TRFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/Cosmics.TR.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '-1' --randomSeed '1234' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --physicsList 'FTFP_BERT' --DataRunNumber '222525' --firstEvent '0' --beamType 'cosmics' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_FrozenShowerFCalOnly.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_FrozenShowerFCalOnly.sh
index 21e78a2776643eea42f9678a7f1c60809c100dc2..0c08fbf44b57ec0c50a2d7ece88e4b587fdcde2a 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_FrozenShowerFCalOnly.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_FrozenShowerFCalOnly.sh
@@ -12,8 +12,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/e_E50_eta34_49.EVNT.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents 10 --skipEvents 0 --randomSeed 10 --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --preInclude 'SimulationJobOptions/preInclude.FrozenShowersFCalOnly.py' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_FtfpBertAtlTest.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_FtfpBertAtlTest.sh
index b55e8dee3d093b62cc940e873994c24c8a447e19..0035032dfc04606954442d9a15cbeae1b795537c 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_FtfpBertAtlTest.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_FtfpBertAtlTest.sh
@@ -12,8 +12,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/J2_jetjet-pythia6-7000.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '5' --skipEvents '0' --randomSeed '10' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT_ATL' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_HeavyIonSim.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_HeavyIonSim.sh
index 0882d8ebca8ce4cc6157d10e53fbae13ae3a2444..0881d627a4126baf44bcdf410183643f9d107b13 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_HeavyIonSim.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_HeavyIonSim.sh
@@ -12,8 +12,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/pbpb_Peripheral-hijing-5500.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '1' --skipEvents '4' --randomSeed '10' --geometryVersion 'ATLAS-R1-2012-03-00-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '210184' --physicsList 'FTFP_BERT' --postInclude 'PyJobTransforms/UseFrontier.py' 'AtlasG4Tf:SimulationJobOptions/postInclude.HijingPars.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_LucidSimTest.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_LucidSimTest.sh
index 71ab95f6b517445a37c6643fc4885c241d92f033..65fb25c1774e4d0217465f1179881fb9213e9289 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_LucidSimTest.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_LucidSimTest.sh
@@ -12,8 +12,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/minbias_Inelastic-pythia8-7000.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '3' --skipEvents '0' --randomSeed '10' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --LucidOn 'True' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references and run DCube
 art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_NeutronCutTest.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_NeutronCutTest.sh
index f97cca0a3b655be12a0fa55ecc46991eb2cda3fd..f0a0d8fd54fc4be400dfb25571a17be83894b904 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_NeutronCutTest.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_NeutronCutTest.sh
@@ -12,8 +12,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/A3_Ztautau_filter-pythia6-7000.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '5' --skipEvents '0' --randomSeed '10' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --preInclude 'SimulationJobOptions/preInclude.G4SignalCavern.py' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_QgsBicTest.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_QgsBicTest.sh
index aa85f3d0572bf88fd2d26810d2e74593f756e7d2..9279c14a2a79d4a867280a1dd850eeefeec18f3e 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_QgsBicTest.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_QgsBicTest.sh
@@ -12,8 +12,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/susy_SU3-herwigpp-7000.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '5' --skipEvents '0' --randomSeed '42' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'QGSP_BIC' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_SkipEventsTest.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_SkipEventsTest.sh
index 39433d5554a0c1038d2cb9effea9157e0592821a..d6ed5d3e2005c6920ee8c933c6ad12f96e07b08a 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_SkipEventsTest.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_SkipEventsTest.sh
@@ -11,9 +11,14 @@
 # art-output: test.HITS.pool.root
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/e_E50_eta0-25.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '10' --skipEvents '5' --randomSeed '10' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --postInclude 'PyJobTransforms/UseFrontier.py'
+
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO Here we also want to be able to grep the log file for:
 #<fileGrepperPattern>skipping event 1.*skipping event 2.*skipping event 3.*skipping event 4.*skipping event 5</fileGrepperPattern>
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_TTbarSim.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_TTbarSim.sh
index f13ba3d8b06478566ec0402a8a5e4d74fbdd1213..1fb098c730ee2889b75d553b4dc2fa4d5768cbf0 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_TTbarSim.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_TTbarSim.sh
@@ -11,8 +11,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/ttbar_muplusjets-pythia6-7000.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '4' --skipEvents '0' --randomSeed '10' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --postInclude 'PyJobTransforms/UseFrontier.py' 'AtlasG4Tf:G4AtlasTests/postInclude.DCubeTest.py' --preExec 'AtlasG4Tf:simFlags.ReleaseGeoModel=False;'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_TimingTest_TTbarSim.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_TimingTest_TTbarSim.sh
index 678b477d282fdefcc65c24a26e25e1e88a5c0d65..de6fca417ed84a5e27a750e98da8dfa25796e3d7 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_TimingTest_TTbarSim.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_TimingTest_TTbarSim.sh
@@ -13,8 +13,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/ttbar_muplusjets-pythia6-7000.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '10' --skipEvents '0' --randomSeed '10' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --postInclude 'PyJobTransforms/UseFrontier.py' --preInclude 'AtlasG4Tf:LArG4FastSimulation/LArG4FastSimulation_setupTimer_jobOptions.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO Need to run DCube on timing histograms
-#art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_WriteCalHitsTest.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_WriteCalHitsTest.sh
index 669b8c1ec5283c83db73daf195e9716506e1e28a..db9ccc516f26376bd1effb5270288b3d4157d9f1 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_WriteCalHitsTest.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_WriteCalHitsTest.sh
@@ -11,8 +11,12 @@
 
 AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/pi_E50_eta0-60.evgen.pool.root' --outputHITSFile 'test.HITS.pool.root' --maxEvents '10' --skipEvents '0' --randomSeed '10' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --preInclude 'SimulationJobOptions/preInclude.CalHits.py,SimulationJobOptions/preInclude.ParticleID.py' --postInclude 'PyJobTransforms/UseFrontier.py' 'AtlasG4Tf:G4AtlasTests/postInclude.DCubeTest_CaloCalibHits.py' --preExec 'AtlasG4Tf:simFlags.ReleaseGeoModel=False;'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 #TODO This is a regression test I think. We would also need to compare these files to fixed references and run DCube
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_ZDCSimTest.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_ZDCSimTest.sh
index 42ce460028679af2877c5c6e89da730605db2535..6742374a86d47035f915e833a29682e92cdf4888 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_ZDCSimTest.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_ZDCSimTest.sh
@@ -11,8 +11,12 @@
 
 AtlasG4_tf.py --preInclude 'G4AtlasTests/preInclude.ZDC_SingleParticle.py' --outputHITSFile 'test.HITS.pool.root' --maxEvents 3 --randomSeed 10 --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --ZDCOn 'True' --postInclude 'PyJobTransforms/UseFrontier.py' 'AtlasG4Tf:G4AtlasTests/postInclude.ZDC_dcube.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references and run DCube
 art.py compare grid ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_electrons.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_electrons.sh
index baf06c0cac0cdc042f73f1cb73356b0adac4c2eb..691a4ebed64ee45fb3965d417eeb66d1103ced2e 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_electrons.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_electrons.sh
@@ -11,12 +11,16 @@
 
 AtlasG4_tf.py --preInclude 'SimulationJobOptions/preInclude.SingleElectronGenerator.py' --outputHITSFile 'test.HITS.pool.root' --maxEvents '1000' --randomSeed '10' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --postInclude 'PyJobTransforms/UseFrontier.py' 'AtlasG4Tf:G4AtlasTests/postInclude.DCubeTest.py' --preExec 'AtlasG4Tf:simFlags.ReleaseGeoModel=False;'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references and run DCube
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
 
+echo  "art-result: $? regression"
+
 # TODO Remake plots by reading in the HITS file produced by the previous job (Tests TP conversion) - need to run DCube on output
 # athena G4AtlasTests/test_AtlasG4_electrons_noevgen.py
 
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_minbias.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_minbias.sh
index ddfcd339df3574b4b1f8ac78b8ae4ceb85d3e9ed..ccea5d59ed20dcfc99c15b8b6987df502a350b69 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_minbias.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_minbias.sh
@@ -13,8 +13,12 @@ AtlasG4_tf.py --inputEVNTFile '/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art
 # TODO would be good to update preExec syntax to apply beam rotations
 #'simFlags.EventFilter.set_On();simFlags.EventFilter.get_Value()["BeamEffectTransformation"]=True;'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references and run DCube
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_muons.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_muons.sh
index b3b3601c06206d5c03aa1f56b52b702a88c8cdb5..c9920a0a01a7a13fb96aba642dc84f4c533a94d8 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_muons.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_muons.sh
@@ -11,12 +11,16 @@
 
 AtlasG4_tf.py --preInclude 'SimulationJobOptions/preInclude.SingleMuonGenerator.py' --outputHITSFile 'test.HITS.pool.root' --maxEvents '2000' --randomSeed '10' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --postInclude 'PyJobTransforms/UseFrontier.py' 'AtlasG4Tf:G4AtlasTests/postInclude.DCubeTest.py' --preExec 'AtlasG4Tf:simFlags.ReleaseGeoModel=False;'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references and run DCube
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
 
+echo  "art-result: $? regression"
+
 # TODO Remake plots by reading in the HITS file produced by the previous job (Tests TP conversion) - need to run DCube on output
 # athena G4AtlasTests/test_AtlasG4_muons_noevgen.py
 
diff --git a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_pions.sh b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_pions.sh
index ae0e7eb2f70d26a195efebf6dee51cf847fb5d9c..a7fe38bf84da80e6cb7876b3484be4aee701d632 100755
--- a/Simulation/Tests/SimCoreTests/test/test_AtlasG4_pions.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_AtlasG4_pions.sh
@@ -11,8 +11,12 @@
 
 AtlasG4_tf.py --preInclude 'SimulationJobOptions/preInclude.SinglePionGenerator.py' --outputHITSFile 'test.HITS.pool.root' --maxEvents '150' --randomSeed '10' --geometryVersion 'ATLAS-R2-2015-03-01-00_VALIDATION' --conditionsTag 'OFLCOND-RUN12-SDR-19' --DataRunNumber '222525' --physicsList 'FTFP_BERT' --postInclude 'PyJobTransforms/UseFrontier.py' 'AtlasG4Tf:G4AtlasTests/postInclude.DCubeTest.py' --preExec 'AtlasG4Tf:simFlags.ReleaseGeoModel=False;'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references and run DCube
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_TestBeamSim.sh b/Simulation/Tests/SimCoreTests/test/test_TestBeamSim.sh
index fb20e5b437dd957d07422a8655cc9140ac711281..86575b90af2885bb91f70b51e34fa81bb5dea371 100755
--- a/Simulation/Tests/SimCoreTests/test/test_TestBeamSim.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_TestBeamSim.sh
@@ -10,8 +10,12 @@
 
 TestBeam_tf.py --outputHITSFile 'test.HITS.pool.root' --maxEvents '10' --Eta '0.35' --testBeamConfig 'tbtile' --postInclude 'PyJobTransforms/UseFrontier.py'
 
+echo  "art-result: $? simulation"
+
 ArtPackage=$1
 ArtJobName=$2
 
 # TODO This is a regression test I think. We would also need to compare these files to fixed references
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_athena_G4AtlasCosmic.sh b/Simulation/Tests/SimCoreTests/test/test_athena_G4AtlasCosmic.sh
index c2662067028d9b823057ea2c2318b7faa7e608bf..c575754b35bb70744a4afef05733ced302b12cf8 100755
--- a/Simulation/Tests/SimCoreTests/test/test_athena_G4AtlasCosmic.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_athena_G4AtlasCosmic.sh
@@ -9,5 +9,9 @@
 
 athena --preloadlib=${ATLASMKLLIBDIR_PRELOAD}/libintlc.so.5:${ATLASMKLLIBDIR_PRELOAD}/libimf.so G4AtlasApps/jobOptions.G4Cosmic.py
 
+echo  "art-result: $? simulation"
+
 # TODO This is a regression test I think. 
 art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName}
+
+echo  "art-result: $? regression"
diff --git a/Simulation/Tests/SimCoreTests/test/test_athena_G4AtlasGeoTest.sh b/Simulation/Tests/SimCoreTests/test/test_athena_G4AtlasGeoTest.sh
index 3cd800cc6794e13ad94a13fadc298ea4c27ab812..2d92b81673016cbf16781cb87b356c33c20d70c7 100755
--- a/Simulation/Tests/SimCoreTests/test/test_athena_G4AtlasGeoTest.sh
+++ b/Simulation/Tests/SimCoreTests/test/test_athena_G4AtlasGeoTest.sh
@@ -9,4 +9,6 @@
 
 athena G4AtlasTests/test_G4AtlasGeo.py
 
+echo  "art-result: $? simulation"
+
 #TODO need to add a test to grep log files.